List campaigns
curl --request GET \
--url https://api-tbi.boost.xyz/v1/campaignsimport requests
url = "https://api-tbi.boost.xyz/v1/campaigns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-tbi.boost.xyz/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"chainId": 123,
"campaignIndex": 4503599627370495
},
"tvl": "<string>",
"participants": 4503599627370495,
"rewardsDistributed": "<string>",
"rewardsRemaining": "<string>",
"boostApyBps": "<string>",
"protocolApyBps": "<string>",
"eventChainId": 123,
"configHash": "<unknown>",
"status": "draft",
"startTime": "<string>",
"endTime": "<string>",
"rewardToken": {
"address": "<unknown>",
"decimals": 4503599627370495,
"symbol": "<string>"
},
"totalRewards": "<string>",
"target": {
"tokenStandard": "<string>",
"chainId": 123,
"address": "<unknown>",
"symbol": "<string>",
"decimals": 4503599627370495,
"tokenId": "<string>",
"poolId": "<unknown>",
"poolManager": "<unknown>",
"token0": "<unknown>",
"token1": "<unknown>",
"poolKey": {
"currency0": "<unknown>",
"currency1": "<unknown>",
"fee": 4503599627370495,
"tickSpacing": 0,
"hooks": "<unknown>"
},
"shareModel": "weighted",
"requireInRange": true,
"protocol": "<string>",
"marketKey": "<string>",
"asset": "<unknown>"
},
"modes": {
"fixedApy": {
"rateBps": "<string>"
},
"apyCap": {
"capRateBps": "<string>"
},
"earningCap": {
"maxRewards": "<string>"
},
"capitalCap": {
"maxTotalBalance": "<string>",
"maxTotalBalanceUsd": "<string>"
},
"depositCap": {
"maxBalance": "<string>",
"maxBalanceUsd": "<string>"
},
"cliff": {
"cliffDurationSeconds": 4503599627370495,
"buffer": "<string>"
},
"minBalance": {
"minBalance": "<string>",
"minBalanceUsd": "<string>"
},
"depositTiers": {
"tiers": [
{
"minBalance": "<string>",
"multiplier": "<string>"
}
]
},
"newCapitalOnly": {
"snapshotBlock": 4503599627370495
},
"includeExistingPositions": {},
"participantCap": {
"maxParticipants": 4503599627370495
}
},
"requiresForwarderDeposit": true,
"userPosition": {
"balance": "<string>",
"accumulatedRewards": "<string>",
"claimable": "<string>",
"triggeredAt": "<string>",
"isEligible": true
}
}
],
"total": 4503599627370495
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}Campaigns
List campaigns
Lists SDK-facing campaigns with optional chain, status, target, user, budget, and claimability filters.
GET
/
v1
/
campaigns
List campaigns
Headers
Optional partner attribution reference ID. Values are manually assigned by Boost and must be at most 128 characters.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Query Parameters
Maximum number of rows to return.
Required range:
x <= 100Pagination offset.
Required range:
0 <= x <= 9007199254740991Reward chain ID.
Required range:
x <= 9007199254740991Campaign statuses. May be repeated or comma-separated.
Event chain ID. Must be provided with targetAddress.
Required range:
x <= 9007199254740991Event-chain target vault, pool, or token address.
User EVM address. Responses normalize addresses to lowercase.
Campaign budget address.
When true, requires userAddress and returns campaigns with unclaimed rewards.
Available options:
true, false Opt in to campaigns that require deposits through a forwarder.
Available options:
true, false